Subject: [mobile-ip] Authentication requirement in RFC3012

From: Bjorn Andersson <[email-masked]>
Date: Mon, 15 Oct 2001 15:16:06 +0300

RFC3012 requires that the mobile node has a security association with
either the foreign agent or the AAA infrastructure if FA challenges
are used. Why is this is a MUST? This prevents one from, for example,
making an access network that does not require any authentication,
but gives a higher QoS for those that can authenticate themselves
and have an agreement with the access provider.

What would be lost if authentication wasn't required (and if the
advertisement challenge extension would be skippable)?

Regards,
Bjorn

-- 
Bjorn Andersson <[email-masked]>                       +358 50 341 2556
Lifix Systems Oy <http://www.lifix.fi/>                 PGP id 5AFC144B
Yliopistonkatu 5, 3rd floor; FIN-00100 Helsinki